さくらインターネットのレンタルサーバー PHP 7.1 をご利用の方へ


今回、PHP 7.1 を利用されている方に向けた情報です。

現在、さくらインターネットで PHP 7.1 を利用されている場合、 明日以降(2019/1/23)順次 7.2 に強制変更される と連絡がありました。 a-blog cms を利用環境の場合、ionCube Loader の設定が php.ini に PHP のバージョンが書かれていることから PHP 7.1 のサイトは表示されなくなってしまいます。

公式のアナウンス

http://support.sakura.ad.jp/mainte/mainteentry.php?id=25556

■作業日程

2019年01月23日10時00分 - 2019年01月30日18時00分

■影響範囲

  • さくらのレンタルサーバ
    • ライト
    • スタンダード
    • プレミアム
    • ビジネス
    • ビジネスプロ
    • メールボックス
  • さくらのマネージドサーバ
  • さくらのレンタルサーバ リセール向けサービス

■作業内容

  • PHPセキュリティアップデート
  • PHP7.1の提供終了 ※

※ 現在PHP7.1を利用中のお客様につきましては、自動的に7.2へバージョンアップされます。

対応方法について

php.ini に記述している ioncube_loader_fre_7.1.so を ioncube_loader_fre_7.2.so に変更してください。

CGI版で利用の場合には php.ini のファイルを直接編集することで対応できますが、モジュール版についてはコントロールパネルにアクセスして php.ini の編集&反映をする ことで Apache のリロードがおこなわれますのでコントロールパネルから編集処理を行ってください。